
<?php
function corporate_prime_get_theme_var() {
	
	$slide_one_id   = get_theme_mod('corporate_prime_slider_one', 0);
	$slide_two_id   = get_theme_mod('corporate_prime_slider_two', 0);
	$slide_three_id = get_theme_mod('corporate_prime_slider_three', 0);

	if($slide_one_id){
		$slide_one_img = wp_get_attachment_image_src(get_post_thumbnail_id($slide_one_id), 'full');
		$slide_one_img = $slide_one_img[0];
	}else{
		$slide_one_img = get_template_directory_uri() . '/images/slider1.jpg';
	}
	if($slide_two_id){
		$slide_two_img = wp_get_attachment_image_src(get_post_thumbnail_id($slide_two_id), 'full');
		$slide_two_img = $slide_two_img[0];
	}else{
		$slide_two_img = get_template_directory_uri() . '/images/slider2.jpg';
	}
	if($slide_three_id){
		$slide_three_img = wp_get_attachment_image_src(get_post_thumbnail_id($slide_three_id), 'full');
		$slide_three_img = $slide_three_img[0];
	}else{
		$slide_three_img = get_template_directory_uri() . '/images/slider3.jpg';
	}
	

	$theme_data = array(

		'social_link_open_in_new_tab' => get_theme_mod('corporate_prime_social_link_open_in_new_tab', true),
		'enable_top_bar'	=> get_theme_mod('corporate_prime_enable_top_bar', true),
		'enable_social'	=> get_theme_mod('corporate_prime_enable_social', true),
		'social_link_facebook'        => get_theme_mod('corporate_prime_social_link_facebook', ''),
		'social_link_google'          => get_theme_mod('corporate_prime_social_link_google', ''),
		'social_link_youtube'         => get_theme_mod('corporate_prime_social_link_youtube', ''),
		'social_link_twitter'         => get_theme_mod('corporate_prime_social_link_twitter', ''),
		'social_link_linkedin'        => get_theme_mod('corporate_prime_social_link_linkedin', ''),
		'top_email'                   => get_theme_mod('corporate_prime_top_email', ''),
		'top_phone'                   => get_theme_mod('corporate_prime_top_phone', ''),

		'hide_demo_slider'            => get_theme_mod('corporate_prime_hide_demo_slider', false),
		'slide_1'                     => ($slide_one_id) ? get_post($slide_one_id) : (object) array('post_title' => __('Slide One Title', 'corporate-prime'), 'post_content' => __('Slide One Description', 'corporate-prime')),
		'slide_2'                     => ($slide_two_id) ? get_post($slide_two_id) : (object) array('post_title' => __('Slide Two Title', 'corporate-prime'), 'post_content' => __('Slide Two Description', 'corporate-prime')),
		'slide_3'                     => ($slide_three_id) ? get_post($slide_three_id) : (object) array('post_title' => __('Slide Three Title', 'corporate-prime'), 'post_content' => __('Slide Three Description', 'corporate-prime')),

		'slider_image_one'            => $slide_one_img,
		'slider_image_two'            => $slide_two_img,
		'slider_image_three'          => $slide_three_img,
		'slide_button_text'           => get_theme_mod('corporate_prime_slide_button_text', __('Click To Begin', 'corporate-prime')),
		'slide_button_link'           => get_theme_mod('corporate_prime_slide_button_link', ''),
		
		'hide_demo_portfolio'            => get_theme_mod('corporate_prime_hide_portfolio', false),
		'portfolio_header_text'        => get_theme_mod('corporate_prime_portfolio_header_text', __('Our Portfolio', 'corporate-prime')),
		'portfolio_desc_text'          => get_theme_mod('corporate_prime_portfolio_desc_text', __('Portfolio description text. Portfolio description text. Portfolio description text. Portfolio description text.', 'corporate-prime')),
		'portfolio_one_id'   => get_theme_mod('corporate_prime_portfolio_one', ''),
		'portfolio_two_id'   =>get_theme_mod('corporate_prime_portfolio_two', ''),
		'portfolio_three_id'   => get_theme_mod('corporate_prime_portfolio_three', ''),
		'portfolio_four_id'   => get_theme_mod('corporate_prime_portfolio_four', ''),
		'portfolio_five_id'   => get_theme_mod('corporate_prime_portfolio_five', ''),
		'portfolio_six_id'   => get_theme_mod('corporate_prime_portfolio_six', ''),
		


		'services_header_text'        => get_theme_mod('corporate_prime_services_header_text', __('Our Service', 'corporate-prime')),
		'services_desc_text'          => get_theme_mod('corporate_prime_services_desc_text', __('Service description text. Service description text. Service description text. Service description text.', 'corporate-prime')),
		'service_one_id'   => get_theme_mod('corporate_prime_service_one', ''),
		'service_two_id'   =>get_theme_mod('corporate_prime_service_two', ''),
		'service_three_id'   => get_theme_mod('corporate_prime_service_three', ''),

		'home_latest_news_title'      => get_theme_mod('corporate_prime_home_latest_news_title', __('Our Blogs', 'corporate-prime')),
		'home_latest_news_desc'       => get_theme_mod('corporate_prime_home_latest_news_desc', __('Be updated with latest news', 'corporate-prime')),

		'home_client_title'           => get_theme_mod('corporate_prime_home_client_title', __('Our Clients', 'corporate-prime')),
		'home_client_desc'            => get_theme_mod('corporate_prime_home_client_desc', __('We have awesome client list', 'corporate-prime')),
		'client_image_one'            => get_theme_mod('corporate_prime_client_image_one', esc_url(get_template_directory_uri() . '/images/client1.png')),
		'client_image_two'            => get_theme_mod('corporate_prime_client_image_two', esc_url(get_template_directory_uri() . '/images/client2.png')),
		'client_image_three'          => get_theme_mod('corporate_prime_client_image_three', esc_url(get_template_directory_uri() . '/images/client3.png')),
		'client_image_four'          => get_theme_mod('corporate_prime_client_image_four', esc_url(get_template_directory_uri() . '/images/client4.png')),
		'client_image_five'          => get_theme_mod('corporate_prime_client_image_five', esc_url(get_template_directory_uri() . '/images/client5.png')),
	);
	return $theme_data;
}

?>
